/**
 * test-webid
 * Copyright (C) 2011 Thomas Bergwinkl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.bergnet.test.webid;

import org.junit.runner.Description;
import org.junit.runner.Result;
import org.junit.runner.notification.RunListener;

public class TestResultCatcher extends RunListener {
	public void testRunStarted(Description description) {
		System.out.println("running test case: " + description.getChildren().get(0).getDisplayName());
	}

	public void testRunFinished(Result result) {
		System.out.println("test case finished with " + result.getFailureCount() + " failures");
	}

	/*public void testFinished(Description description) {
		System.out.println(description.toString());
		description.
	}*/
}
