package org.bergnet.test.webid;

import com.hp.hpl.jena.datatypes.BaseDatatype;
import com.hp.hpl.jena.datatypes.TypeMapper;


public class XsdAnyUriDatatype extends BaseDatatype {
	public static final String URI = "http://www.w3.org/2001/XMLSchema#anyURI";

	private static XsdAnyUriDatatype instance = null;

	private XsdAnyUriDatatype() {
		super(URI);
	}

	public static XsdAnyUriDatatype getInstance() {
		if(instance == null) {
			instance = new XsdAnyUriDatatype();
			TypeMapper.getInstance().registerDatatype(instance);			
		}

		return instance;
	}
}
